using System.Runtime.InteropServices;

namespace Harmonia.Core.Engine;

public static class BassLoader
{
    public static void Initialize()
    {
        string archFolder = Environment.Is64BitProcess ? "x64" : "x86";
        string bassPluginPath = Path.Combine("Plugins", "Bass", "Win32", archFolder);

        LoadLibrary(bassPluginPath, "bass.dll");
        LoadLibrary(bassPluginPath, "bassflac.dll");
    }

    private static void LoadLibrary(string bassPluginPath, string resourceName)
    {
        string resourcePath = Path.Combine(bassPluginPath, resourceName);

        NativeLibrary.Load(resourcePath);
    }
}